#ifndef PIWINDOWMAC_H_SEEN
#define PIWINDOWMAC_H_SEEN

#include "piwindowgen.h"
#include "pisysdep.h"
#include <LWindow.h>

class PIWindowMac : public PIWindowGen {
public:
                         PIWindowMac(PIMsgHandler *par, char *nom, PIWindowKind k=PIWK_normal,
                                   int sx=10, int sy=10, int px=0, int py=0);
  virtual                ~PIWindowMac();
  virtual void           Show();
  virtual void           SetSize(int sx, int sy);
  virtual void           SetPos(int px, int py);
  virtual int            XPos();
  virtual int            YPos();

protected:
  SWindowInfo			  mWindowInfo;
  Boolean				  finalized;
};

typedef PIWindowMac PIWindow;

#endif
